Index: soft/giet_vm/xml/xml_parser.c
===================================================================
--- soft/giet_vm/xml/xml_parser.c	(revision 226)
+++ soft/giet_vm/xml/xml_parser.c	(revision 228)
@@ -691,76 +630,71 @@
 
     ////////// get clusterid and psegname attributes
-    value = getIntValue(reader,"clusterid", &ok);
-    if ( ok == 0 )
-    {
+    value = getIntValue(reader, "clusterid", &ok);
+    if (ok == 0) {
         printf("[XML ERROR] illegal or missing <clusterid> for vseg %d\n", 
-                 vseg_loc_index);
-        exit(1);
-    }
-    str = getStringValue(reader,"psegname", &ok);
-    if ( ok == 0 )
-    {
+                vseg_loc_index);
+        exit(1);
+    }
+    str = getStringValue(reader, "psegname", &ok);
+    if (ok == 0) {
         printf("[XML ERROR] illegal or missing <psegname> for vseg %d\n", 
-                 vseg_loc_index);
+                vseg_loc_index);
         exit(1);
     }
 
     /////////// set psegid field
-    int index = getPsegId( value, str );
-    if ( index >= 0 ) 
-    {
-#if XML_PARSER_DEBUG
-printf("      clusterid = %d\n", value);
-printf("      psegname  = %s\n", str);
-printf("      psegid    = %d\n", index);
+    int index = getPsegId(value, str);
+    if (index >= 0) {
+#if XML_PARSER_DEBUG
+        printf("      clusterid = %d\n", value);
+        printf("      psegname  = %s\n", str);
+        printf("      psegid    = %d\n", index);
 #endif
         vseg[vseg_index]->psegid = index;
     }
-    else              
-    {
+    else {
         printf("[XML ERROR] pseg not found for vseg %d / clusterid = %d / psegname = %s\n", 
-                   vseg_loc_index, value, str );
+                vseg_loc_index, value, str );
         exit(1);
     }  
 
     //////// get mode attribute
-    str = getStringValue(reader,"mode", &ok);
-#if XML_PARSER_DEBUG
-printf("      mode = %s\n", str);
-#endif
-    if      (ok && (strcmp(str, "CXWU") == 0)) vseg[vseg_index]->mode = 0xF;
-    else if (ok && (strcmp(str, "CXW_") == 0)) vseg[vseg_index]->mode = 0xE;
-    else if (ok && (strcmp(str, "CX_U") == 0)) vseg[vseg_index]->mode = 0xD;
-    else if (ok && (strcmp(str, "CX__") == 0)) vseg[vseg_index]->mode = 0xC;
-    else if (ok && (strcmp(str, "C_WU") == 0)) vseg[vseg_index]->mode = 0xB;
-    else if (ok && (strcmp(str, "C_W_") == 0)) vseg[vseg_index]->mode = 0xA;
-    else if (ok && (strcmp(str, "C__U") == 0)) vseg[vseg_index]->mode = 0x9;
-    else if (ok && (strcmp(str, "C___") == 0)) vseg[vseg_index]->mode = 0x8;
-    else if (ok && (strcmp(str, "_XWU") == 0)) vseg[vseg_index]->mode = 0x7;
-    else if (ok && (strcmp(str, "_XW_") == 0)) vseg[vseg_index]->mode = 0x6;
-    else if (ok && (strcmp(str, "_X_U") == 0)) vseg[vseg_index]->mode = 0x5;
-    else if (ok && (strcmp(str, "_X__") == 0)) vseg[vseg_index]->mode = 0x4;
-    else if (ok && (strcmp(str, "__WU") == 0)) vseg[vseg_index]->mode = 0x3;
-    else if (ok && (strcmp(str, "__W_") == 0)) vseg[vseg_index]->mode = 0x2;
-    else if (ok && (strcmp(str, "___U") == 0)) vseg[vseg_index]->mode = 0x1;
-    else if (ok && (strcmp(str, "____") == 0)) vseg[vseg_index]->mode = 0x0;
-    else
-    {
+    str = getStringValue(reader, "mode", &ok);
+#if XML_PARSER_DEBUG
+    printf("      mode = %s\n", str);
+#endif
+    if      (ok && (strcmp(str, "CXWU") == 0)) { vseg[vseg_index]->mode = 0xF; }
+    else if (ok && (strcmp(str, "CXW_") == 0)) { vseg[vseg_index]->mode = 0xE; }
+    else if (ok && (strcmp(str, "CX_U") == 0)) { vseg[vseg_index]->mode = 0xD; }
+    else if (ok && (strcmp(str, "CX__") == 0)) { vseg[vseg_index]->mode = 0xC; }
+    else if (ok && (strcmp(str, "C_WU") == 0)) { vseg[vseg_index]->mode = 0xB; }
+    else if (ok && (strcmp(str, "C_W_") == 0)) { vseg[vseg_index]->mode = 0xA; }
+    else if (ok && (strcmp(str, "C__U") == 0)) { vseg[vseg_index]->mode = 0x9; }
+    else if (ok && (strcmp(str, "C___") == 0)) { vseg[vseg_index]->mode = 0x8; }
+    else if (ok && (strcmp(str, "_XWU") == 0)) { vseg[vseg_index]->mode = 0x7; }
+    else if (ok && (strcmp(str, "_XW_") == 0)) { vseg[vseg_index]->mode = 0x6; }
+    else if (ok && (strcmp(str, "_X_U") == 0)) { vseg[vseg_index]->mode = 0x5; }
+    else if (ok && (strcmp(str, "_X__") == 0)) { vseg[vseg_index]->mode = 0x4; }
+    else if (ok && (strcmp(str, "__WU") == 0)) { vseg[vseg_index]->mode = 0x3; }
+    else if (ok && (strcmp(str, "__W_") == 0)) { vseg[vseg_index]->mode = 0x2; }
+    else if (ok && (strcmp(str, "___U") == 0)) { vseg[vseg_index]->mode = 0x1; }
+    else if (ok && (strcmp(str, "____") == 0)) { vseg[vseg_index]->mode = 0x0; }
+    else {
         printf("[XML ERROR] illegal or missing <mode> attribute for vseg (%d,%d)\n", 
                 vspace_index, vseg_loc_index);
         exit(1);
     }
-    
+
     ////////// get vobjs in vseg
     int status = xmlTextReaderRead(reader);
-    while ( status == 1 ) 
-    {
-        const char* tag = (const char*)xmlTextReaderConstName(reader);
-
-        if      ( strcmp(tag, "vobj")     == 0 ) vobjNode(reader);
-        else if ( strcmp(tag, "#text"  )  == 0 ) { }
-        else if ( strcmp(tag, "#comment") == 0 ) { }
-        else if ( strcmp(tag, "vseg")     == 0 ) 
-        {
+    while (status == 1) {
+        const char * tag = (const char *) xmlTextReaderConstName(reader);
+
+        if (strcmp(tag, "vobj")     == 0 ) {
+            vobjNode(reader);
+        }
+        else if (strcmp(tag, "#text"  )  == 0 ) { }
+        else if (strcmp(tag, "#comment") == 0 ) { }
+        else if (strcmp(tag, "vseg")     == 0 ) {
             vseg[vseg_index]->vobjs = vobj_count;
             vseg_index++;
@@ -768,53 +702,50 @@
             return;
         }
-        else 
-        {
-            printf("[XML ERROR] Unknown tag %s",tag);
-            exit(1);
-        }
-        status = xmlTextReaderRead ( reader );
+        else {
+            printf("[XML ERROR] Unknown tag %s", tag);
+            exit(1);
+        }
+        status = xmlTextReaderRead (reader);
     }
 } // end vsegNode()
 
+
 //////////////////////////////////////////
-void vspaceNode( xmlTextReaderPtr reader )
-//////////////////////////////////////////
-{
-    char*    		str;
-    unsigned int 	ok;
+void vspaceNode(xmlTextReaderPtr reader) {
+    char * str;
+    unsigned int ok;
 
     vobj_loc_index = 0;
-	vseg_loc_index = 0;
-	task_loc_index = 0;
-
-    if ( xmlTextReaderNodeType(reader) == XML_READER_TYPE_END_ELEMENT ) return;
+    vseg_loc_index = 0;
+    task_loc_index = 0;
+
+    if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_END_ELEMENT) {
+        return;
+    }
 
     // checking source file consistency
-    if ( vspace_index >= header->vspaces )
-    {
+    if (vspace_index >= header->vspaces) {
         printf("[XML ERROR] The vspace index is too large : %d\n", 
-                 vspace_index);
-        exit(1);
-    }
-
-#if XML_PARSER_DEBUG
-printf("\n  vspace %d\n", vspace_index);
-#endif
-
-    vspace[vspace_index] = (mapping_vspace_t*)malloc(sizeof(mapping_vspace_t));
+                vspace_index);
+        exit(1);
+    }
+
+#if XML_PARSER_DEBUG
+    printf("\n  vspace %d\n", vspace_index);
+#endif
+
+    vspace[vspace_index] = (mapping_vspace_t *) malloc(sizeof(mapping_vspace_t));
 
     ////////// get name attribute
     str = getStringValue(reader, "name", &ok);
-    if ( ok )
-    {
-#if XML_PARSER_DEBUG
-printf("  name = %s\n", str);
+    if (ok) {
+#if XML_PARSER_DEBUG
+        printf("  name = %s\n", str);
 #endif
         strncpy(vspace[vspace_index]->name, str, 31);
     }
-    else
-    {
+    else {
         printf("[XML ERROR] illegal or missing <name> attribute for vspace %d\n", 
-                 vspace_index);
+                vspace_index);
         exit(1);
     }
@@ -824,35 +755,35 @@
     vspace[vspace_index]->vobj_offset = vobj_index;
     vspace[vspace_index]->task_offset = task_index;
-    
-#if XML_PARSER_DEBUG
-printf("  vseg_offset = %d\n", vseg_index);
-printf("  vobj_offset = %d\n", vobj_index);
-printf("  task_offset = %d\n", task_index);
+
+#if XML_PARSER_DEBUG
+    printf("  vseg_offset = %d\n", vseg_index);
+    printf("  vobj_offset = %d\n", vobj_index);
+    printf("  task_offset = %d\n", task_index);
 #endif
 
     ////////// get startname attribute
     str = getStringValue(reader, "startname", &ok);
-    if ( ok )
-    {
+    if (ok) {
         //used after parsing the vobjs
     }
-    else
-    {
+    else {
         printf("[XML ERROR] illegal or missing <startname> attribute for vspace %s\n", 
-                 vspace[vspace_index]->name);
+                vspace[vspace_index]->name);
         exit(1);
     }
 
     int status = xmlTextReaderRead(reader);
-    while ( status == 1 ) 
-    {
-        const char* tag = (const char*)xmlTextReaderConstName(reader);
-
-        if      ( strcmp(tag, "vseg")     == 0 ) vsegNode(reader);
-        else if ( strcmp(tag, "task")     == 0 ) taskNode(reader);
-        else if ( strcmp(tag, "#text")    == 0 ) { }
-        else if ( strcmp(tag, "#comment") == 0 ) { }
-        else if ( strcmp(tag, "vspace")   == 0 ) 
-        {
+    while (status == 1) {
+        const char * tag = (const char *) xmlTextReaderConstName(reader);
+
+        if (strcmp(tag, "vseg")     == 0 ) {
+            vsegNode(reader);
+        }
+        else if (strcmp(tag, "task")     == 0 ) {
+            taskNode(reader);
+        }
+        else if (strcmp(tag, "#text")    == 0 ) { }
+        else if (strcmp(tag, "#comment") == 0 ) { }
+        else if (strcmp(tag, "vspace")   == 0 ) {
             vspace[vspace_index]->vobjs = vobj_loc_index; 
             vspace[vspace_index]->tasks = task_loc_index ;
@@ -860,18 +791,16 @@
 
             // get index of the vobj containing the start vector
-            int index =  getVobjLocId( vspace_index, str , vobj_loc_index );
-            if(index == -1)
-            {
+            int index = getVobjLocId(vspace_index, str , vobj_loc_index);
+            if (index == -1) {
                 printf("[XML ERROR] vobj containing start vector not found in vspace %s\n",
                         vspace[vspace_index]->name);
                 exit(-1);
             }
-            else
-            {
+            else {
                 vspace[vspace_index]->start_offset = index;
 #if XML_PARSER_DEBUG
-printf("      startname = %s\n", str);
-printf("      startid   = %d\n", index);
-printf("  end vspace %d\n\n", vspace_index);
+                printf("      startname = %s\n", str);
+                printf("      startid   = %d\n", index);
+                printf("  end vspace %d\n\n", vspace_index);
 #endif
             }
@@ -881,10 +810,8 @@
             int task_min = vspace[vspace_index]->task_offset;
             int task_max = task_min + vspace[vspace_index]->tasks; 
-            for ( task_id = task_min ; task_id < task_max ; task_id++ )
-            {
-                if ( task[task_id]->startid >= vspace[vspace_index]->tasks )
-                {
+            for (task_id = task_min; task_id < task_max; task_id++) {
+                if (task[task_id]->startid >= vspace[vspace_index]->tasks) {
                     printf("[XML ERROR] <startid> too large for task (%d,%d)\n", 
-                           vspace_index, task_id );
+                            vspace_index, task_id );
                     exit(1);
                 }
@@ -894,91 +821,87 @@
             return;
         }
-        else 
-        {
-            printf("[XML ERROR] Unknown tag %s",tag);
-            exit(1);
-        }
-        status = xmlTextReaderRead ( reader );
+        else {
+            printf("[XML ERROR] Unknown tag %s", tag);
+            exit(1);
+        }
+        status = xmlTextReaderRead(reader);
     }
 } // end vspaceNode()
 
+
 ///////////////////////////////////////////
-void cpPortNode ( xmlTextReaderPtr reader )
-///////////////////////////////////////////
-{
-    char*           str;
-    unsigned int    ok;
-
-    if ( xmlTextReaderNodeType(reader) == XML_READER_TYPE_END_ELEMENT ) return;
-
-    if ( cp_port_index >= MAX_CP_PORTS )
-    {
+void cpPortNode(xmlTextReaderPtr reader) {
+    char * str;
+    unsigned int ok;
+
+    if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_END_ELEMENT) {
+        return;
+    }
+
+    if (cp_port_index >= MAX_CP_PORTS) {
         printf("[XML ERROR] The number of ports (for coprocs) is larger than %d\n", MAX_CP_PORTS);
     }
 
 #if XML_PARSER_DEBUG
-printf("\n  port %d\n", cp_port_index);
-#endif
-
-    cp_port[cp_port_index] = (mapping_cp_port_t*)malloc(sizeof(mapping_cp_port_t));
-    cp_port_vobj_ref[cp_port_index] = (vobj_ref_t*)malloc(sizeof(vobj_ref_t));
-
-
-    
+    printf("\n  port %d\n", cp_port_index);
+#endif
+
+    cp_port[cp_port_index] = (mapping_cp_port_t *) malloc(sizeof(mapping_cp_port_t));
+    cp_port_vobj_ref[cp_port_index] = (vobj_ref_t *) malloc(sizeof(vobj_ref_t));
+
+
+
     ///////// get direction attribute
-    str = getStringValue( reader, "direction", &ok );
-    if ( ok )
-    {
-#if XML_PARSER_DEBUG
-printf("      direction = %s\n", str);
-#endif
-        if      ( strcmp(str, "TO_COPROC")   ==  0 ) cp_port[cp_port_index]->direction = PORT_TO_COPROC;
-        else if ( strcmp(str, "FROM_COPROC") ==  0 ) cp_port[cp_port_index]->direction = PORT_FROM_COPROC;
-        else
-        {
+    str = getStringValue(reader, "direction", &ok);
+    if (ok) {
+#if XML_PARSER_DEBUG
+        printf("      direction = %s\n", str);
+#endif
+        if (strcmp(str, "TO_COPROC")   ==  0) {
+            cp_port[cp_port_index]->direction = PORT_TO_COPROC;
+        }
+        else if (strcmp(str, "FROM_COPROC") ==  0) {
+            cp_port[cp_port_index]->direction = PORT_FROM_COPROC;
+        }
+        else {
             printf("[XML ERROR] illegal <direction> for cp_port %d in cluster %d\n",
-                   cp_port_index, cluster_index);
+                    cp_port_index, cluster_index);
             exit(1);
         }
     }  
-    else
-    {
+    else {
         printf("[XML ERROR] missing <direction> for cp_port %d in cluster %d\n",
-               cp_port_index, cluster_index);
-        exit(1);
-    }
-    
+                cp_port_index, cluster_index);
+        exit(1);
+    }
+
     /////////// get vspacename attribute 
-    str = getStringValue( reader, "vspacename", &ok );
-#if XML_PARSER_DEBUG
-printf("      vspacename = %s\n", str);
-#endif
-    if ( ok ) 
-    {
+    str = getStringValue(reader, "vspacename", &ok);
+#if XML_PARSER_DEBUG
+    printf("      vspacename = %s\n", str);
+#endif
+    if (ok) {
         strncpy(cp_port_vobj_ref[cp_port_index]->vspace_name, str, 31);
     }
-    else
-    {
+    else {
         printf("[XML ERROR] missing <vspacename> for cp_port %d in cluster %d\n",
-               cp_port_index, cluster_index);
+                cp_port_index, cluster_index);
         exit(1);
     }
 
     /////////// get vobjname attribute 
-    str = getStringValue( reader, "vobjname", &ok );
-#if XML_PARSER_DEBUG
-printf("      vobjname = %s\n", str);
-#endif
-    if ( ok ) 
-    {
+    str = getStringValue(reader, "vobjname", &ok);
+#if XML_PARSER_DEBUG
+    printf("      vobjname = %s\n", str);
+#endif
+    if (ok) {
         strncpy(cp_port_vobj_ref[cp_port_index]->vobj_name, str, 31);
     }
-    else
-    {
+    else {
         printf("[XML ERROR] missing <vobjname> for cp_port %d in cluster %d\n",
-               cp_port_index, cluster_index);
-        exit(1);
-    }
-    
+                cp_port_index, cluster_index);
+        exit(1);
+    }
+
     cp_port_index++;
     cp_port_loc_index++;
@@ -986,66 +909,61 @@
 } // end cpPortNode()
 
+
 ///////////////////////////////////////////
-void periphNode ( xmlTextReaderPtr reader )
-///////////////////////////////////////////
-{
-    char*           str;
-    unsigned int    value;
-    unsigned int 	ok;
-
-    if ( xmlTextReaderNodeType(reader) == XML_READER_TYPE_END_ELEMENT ) return;
-
-    if ( periph_index >= MAX_PERIPHS )
-    {
+void periphNode(xmlTextReaderPtr reader) {
+    char * str;
+    unsigned int value;
+    unsigned int ok;
+
+    if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_END_ELEMENT) {
+        return;
+    }
+
+    if (periph_index >= MAX_PERIPHS) {
         printf("[XML ERROR] The number of periphs is larger than %d\n", MAX_PERIPHS);
     }
 
 #if XML_PARSER_DEBUG
-printf("\n  periph %d\n", periph_index);
-#endif
-
-    periph[periph_index] = (mapping_periph_t*)malloc(sizeof(mapping_periph_t));
+    printf("\n  periph %d\n", periph_index);
+#endif
+
+    periph[periph_index] = (mapping_periph_t *) malloc(sizeof(mapping_periph_t));
 
 
     ///////// get channels attribute (optionnal : 1 if missing)
-    value = getIntValue( reader, "channels", &ok );
-    if ( ok )
-    {
-#if XML_PARSER_DEBUG
-printf("      channels = %d\n", value);
+    value = getIntValue(reader, "channels", &ok);
+    if (ok) {
+#if XML_PARSER_DEBUG
+        printf("      channels = %d\n", value);
 #endif
         periph[periph_index]->channels = value;
     }
-    else
-    {
+    else {
         periph[periph_index]->channels = 1;
     }
 
     /////////// get psegname attribute 
-    str = getStringValue(reader,"psegname", &ok);
-    if ( ok == 0 )
-    {
+    str = getStringValue(reader, "psegname", &ok);
+    if (ok == 0) {
         printf("[XML ERROR] illegal or missing <psegname> for coproc %d in cluster %d\n", 
-                 coproc_index, cluster_index);
+                coproc_index, cluster_index);
         exit(1);
     }
 
     /////////// set psegid attribute
-    int index = getPsegId( cluster_index, str );
-    if ( index >= 0 ) 
-    {
-#if XML_PARSER_DEBUG
-printf("      clusterid = %d\n", cluster_index);
-printf("      psegname  = %s\n", str);
-printf("      psegid    = %d\n", index);
+    int index = getPsegId(cluster_index, str);
+    if (index >= 0) {
+#if XML_PARSER_DEBUG
+        printf("      clusterid = %d\n", cluster_index);
+        printf("      psegname  = %s\n", str);
+        printf("      psegid    = %d\n", index);
 #endif
         periph[periph_index]->psegid = index;
         assert(pseg[index]->type == PSEG_TYPE_PERI && 
-        "peripheral psegname attribute must refer to a pseg of type PERI" );
-    }
-    else              
-    {
+                "peripheral psegname attribute must refer to a pseg of type PERI" );
+    }
+    else {
         printf("[XML ERROR] pseg not found for periph %d / clusterid = %d / psegname = %s\n", 
-                   periph_loc_index, cluster_index, str );
+                periph_loc_index, cluster_index, str );
         exit(1);
     }  
@@ -1053,126 +971,144 @@
 
     /////////// get type attribute 
-    str = getStringValue( reader, "type", &ok );
-    if ( ok ) 
-    {
-#if XML_PARSER_DEBUG
-printf("      type     = %s\n", str);
+    str = getStringValue(reader, "type", &ok);
+    if (ok) {
+#if XML_PARSER_DEBUG
+        printf("      type     = %s\n", str);
 #endif
         unsigned int error = 0;
-  
+
         // The TTY, IOC, NIC, FBF and IOB peripherals cannot be replicated
         // one per architecture
-        if      ( strcmp( str, "IOC" ) == 0 ) 
-        {
+        if (strcmp(str, "IOC") == 0) {
             periph[periph_index]->type = PERIPH_TYPE_IOC;
-            if ( header->ioc_clusterid == 0xFFFFFFFF) header->ioc_clusterid = cluster_index;
-            else  error = 1;
-
-            ioc_base_offset = pseg[ periph[periph_index]->psegid ]->base;
+            if (header->ioc_clusterid == 0xFFFFFFFF) {
+                header->ioc_clusterid = cluster_index;
+            }
+            else {
+                error = 1;
+            }
+
+            ioc_base_offset = pseg[periph[periph_index]->psegid]->base;
             nb_ioc_channel = periph[periph_index]->channels;
         } 
-        else if ( strcmp( str, "TTY" ) == 0 )
-        {
+        else if (strcmp(str, "TTY") == 0) {
             periph[periph_index]->type = PERIPH_TYPE_TTY;
-            if ( header->tty_clusterid == 0xFFFFFFFF) header->tty_clusterid = cluster_index;
-            else  error = 1;
-
-            tty_base_offset = pseg[ periph[periph_index]->psegid ]->base;
+            if (header->tty_clusterid == 0xFFFFFFFF) {
+                header->tty_clusterid = cluster_index;
+            }
+            else  {
+                error = 1;
+            }
+
+            tty_base_offset = pseg[periph[periph_index]->psegid]->base;
             nb_tty_channel = periph[periph_index]->channels;
         }
-        else if ( strcmp( str, "FBF" ) == 0 ) 
-        {
+        else if (strcmp(str, "FBF") == 0) {
             periph[periph_index]->type = PERIPH_TYPE_FBF;
-            if ( header->fbf_clusterid == 0xFFFFFFFF) header->fbf_clusterid = cluster_index;
-            else  error = 1;
-
-            fbf_base_offset = pseg[ periph[periph_index]->psegid ]->base;
-        }
-        else if ( strcmp( str, "NIC" ) == 0 ) 
-        {
+            if (header->fbf_clusterid == 0xFFFFFFFF) {
+                header->fbf_clusterid = cluster_index;
+            }
+            else {
+                error = 1;
+            }
+            fbf_base_offset = pseg[periph[periph_index]->psegid]->base;
+        }
+        else if (strcmp(str, "NIC") == 0) {
             periph[periph_index]->type = PERIPH_TYPE_NIC;
-            if ( header->nic_clusterid == 0xFFFFFFFF) header->nic_clusterid = cluster_index;
-            else  error = 1;
-
-            nic_base_offset = pseg[ periph[periph_index]->psegid ]->base;
+            if (header->nic_clusterid == 0xFFFFFFFF) {
+                header->nic_clusterid = cluster_index;
+            }
+            else {
+                error = 1;
+            }
+            nic_base_offset = pseg[periph[periph_index]->psegid]->base;
             nb_nic_channel = periph[periph_index]->channels;
         }
-        else if ( strcmp( str, "IOB" ) == 0 ) 
-        {
+        else if (strcmp(str, "IOB") == 0) {
             periph[periph_index]->type = PERIPH_TYPE_IOB;
-            iob_base_offset = pseg[ periph[periph_index]->psegid ]->base;
-
-            if(io_mmu_active) error = 1;
+            iob_base_offset = pseg[periph[periph_index]->psegid]->base;
+
+            if (io_mmu_active) {
+                error = 1;
+            }
             io_mmu_active = 1;
         }
         // The TIM, ICU, XICU, DMA and IOB peripherals can be replicated in several clusters
         // one per cluster
-        else if ( strcmp( str, "TIM" ) == 0 ) 
-        {
+        else if (strcmp(str, "TIM") == 0 ) {
             periph[periph_index]->type = PERIPH_TYPE_TIM;
-            if(found_timer) error = 1;
+            if (found_timer) {
+                error = 1;
+            }
             found_timer = 1;
 
-            if(tim_base_offset == 0xFFFFFFFF)
+            if (tim_base_offset == 0xFFFFFFFF) {
                 tim_base_offset = pseg[ periph[periph_index]->psegid ]->base;
-
-            if(nb_timer_channel_max < periph[periph_index]->channels)
+            }
+
+            if (nb_timer_channel_max < periph[periph_index]->channels) {
                 nb_timer_channel_max = periph[periph_index]->channels;
-        }
-        else if ( strcmp( str, "ICU" ) == 0 ) 
-        {
+            }
+        }
+        else if (strcmp(str, "ICU") == 0) {
             periph[periph_index]->type = PERIPH_TYPE_ICU;
-            if(found_icu) error = 1;
+            if (found_icu) {
+                error = 1;
+            }
             found_icu = 1;
 
-            if(icu_base_offset == 0xFFFFFFFF)
+            if (icu_base_offset == 0xFFFFFFFF) {
+                icu_base_offset = pseg[periph[periph_index]->psegid]->base;
+            }
+        }
+        else if (strcmp(str, "XICU") == 0) {
+            periph[periph_index]->type = PERIPH_TYPE_XICU;
+            if (found_xicu) {
+                error = 1;
+            }
+            found_xicu = 1;
+
+            //'icu' since we can't have both xicu and icu in an arch
+            if (icu_base_offset == 0xFFFFFFFF) {
                 icu_base_offset = pseg[ periph[periph_index]->psegid ]->base;
-        }
-        else if ( strcmp( str, "XICU" ) == 0 ) 
-        {
-            periph[periph_index]->type = PERIPH_TYPE_XICU;
-            if(found_xicu) error = 1;
-            found_xicu = 1;
-
-            //'icu' since we can't have both xicu and icu in an arch
-            if(icu_base_offset == 0xFFFFFFFF)
-                icu_base_offset = pseg[ periph[periph_index]->psegid ]->base;
-
-            if(nb_timer_channel_max == 0)
+            }
+
+            if (nb_timer_channel_max == 0) {
                 nb_timer_channel_max = 32;
-        }
-        else if ( strcmp( str, "DMA" ) == 0 ) 
-        {
+            }
+        }
+        else if (strcmp(str, "DMA") == 0) {
             periph[periph_index]->type = PERIPH_TYPE_DMA;
-            if(found_dma) error = 1;
+            if (found_dma) {
+                error = 1;
+            }
             found_dma = 1;
 
-            if(dma_base_offset == 0xFFFFFFFF)
-                dma_base_offset = pseg[ periph[periph_index]->psegid ]->base;
-            if(nb_dma_channel_max < periph[periph_index]->channels)
+            if (dma_base_offset == 0xFFFFFFFF) {
+                dma_base_offset = pseg[periph[periph_index]->psegid]->base;
+            }
+            if (nb_dma_channel_max < periph[periph_index]->channels) {
                 nb_dma_channel_max = periph[periph_index]->channels;
-        }
-        else
-        {
+            }
+        }
+        else {
             printf("[XML ERROR] illegal <type> for peripheral %d in cluster %d\n",
-                   periph_loc_index, cluster_index);
-            exit(1);
-        }
-
-        if(error)
-        {
+                    periph_loc_index, cluster_index);
+            exit(1);
+        }
+
+        if (error) {
             printf("[XML ERROR] illegal <type> for peripheral %d in cluster %d\n",
-                   periph_loc_index, cluster_index);
-            exit(1);
-        }
-    }
-    else
-    {
+                    periph_loc_index, cluster_index);
+            exit(1);
+        }
+    }
+    else {
         printf("[XML ERROR] missing <type> for peripheral  %d in cluster %d\n",
-               periph_loc_index, cluster_index);
-        exit(1);
-    }
-
-    
+                periph_loc_index, cluster_index);
+        exit(1);
+    }
+
+
     periph_index++;
     periph_loc_index++;
@@ -1181,67 +1117,62 @@
 } // end periphNode
 
+
 /////////////////////////////////////////
-void coprocNode ( xmlTextReaderPtr reader )
-/////////////////////////////////////////
-{
-    char*           str;
-    unsigned int 	ok;
+void coprocNode(xmlTextReaderPtr reader) {
+    char * str;
+    unsigned int ok;
 
     cp_port_loc_index = 0;
 
-    if ( xmlTextReaderNodeType(reader) == XML_READER_TYPE_END_ELEMENT ) return;
-
-    if ( coproc_index >= MAX_COPROCS )
-    {
+    if (xmlTextReaderNodeType(reader) == XML_READER_TYPE_END_ELEMENT) {
+        return;
+    }
+
+    if (coproc_index >= MAX_COPROCS) {
         printf("[XML ERROR] The number of coprocs is larger than %d\n", MAX_COPROCS);
     }
 
 #if XML_PARSER_DEBUG
-printf("\n  coproc %d\n", coproc_index);
-#endif
-
-    coproc[coproc_index] = (mapping_coproc_t*)malloc(sizeof(mapping_coproc_t));
+    printf("\n  coproc %d\n", coproc_index);
+#endif
+
+    coproc[coproc_index] = (mapping_coproc_t *) malloc(sizeof(mapping_coproc_t));
 
     /////////// get name attribute 
-    str = getStringValue( reader, "name", &ok );
-    if ( ok ) 
-    {
-#if XML_PARSER_DEBUG
-       printf("      name = %s\n", str);
+    str = getStringValue(reader, "name", &ok);
+    if (ok) {
+#if XML_PARSER_DEBUG
+        printf("      name = %s\n", str);
 #endif
         strncpy(coproc[coproc_index]->name, str, 31);
     }
-    else
-    {
+    else {
         printf("[XML ERROR] illegal or missing <name> for coproc %d in cluster %d\n",
-               coproc_index, cluster_index);
+                coproc_index, cluster_index);
         exit(1);
     }
 
     /////////// get psegname attribute 
-    str = getStringValue(reader,"psegname", &ok);
-    if ( ok == 0 )
-    {
+    str = getStringValue(reader, "psegname", &ok);
+    if (ok == 0) {
         printf("[XML ERROR] illegal or missing <psegname> for coproc %d in cluster %d\n", 
-                 coproc_index, cluster_index);
+                coproc_index, cluster_index);
         exit(1);
     }
 
     /////////// set psegid attribute
-    int index = getPsegId( cluster_index, str );
-    if ( index >= 0 ) 
-    {
-#if XML_PARSER_DEBUG
-printf("      clusterid = %d\n", cluster_index);
-printf("      psegname  = %s\n", str);
-printf("      psegid    = %d\n", index);
+    int index = getPsegId(cluster_index, str);
+    if (index >= 0) {
+#if XML_PARSER_DEBUG
+        printf("      clusterid = %d\n", cluster_index);
+        printf("      psegname  = %s\n", str);
+        printf("      psegid    = %d\n", index);
 #endif
         coproc[coproc_index]->psegid = index;
         assert(pseg[index]->type == PSEG_TYPE_PERI && "coproc psegname attribute must refer to a pseg of type PERI" );
     }
-    else              
-    {
+    else {
         printf("[XML ERROR] pseg not found for coproc %d / clusterid = %d / psegname = %s\n", 
-                   coproc_index, cluster_index, str );
+                coproc_index, cluster_index, str );
         exit(1);
     }  
@@ -1251,17 +1182,17 @@
 
 #if XML_PARSER_DEBUG
-printf("      port_offset = %d\n", cp_port_index);
+    printf("      port_offset = %d\n", cp_port_index);
 #endif
 
     int status = xmlTextReaderRead(reader);
-    while ( status == 1 ) 
-    {
-        const char* tag = (const char*)xmlTextReaderConstName(reader);
-
-        if      ( strcmp(tag, "port")     == 0 ) cpPortNode(reader);
-        else if ( strcmp(tag, "#text")    == 0 ) { }
-        else if ( strcmp(tag, "#comment") == 0 ) { }
-        else if ( strcmp(tag, "coproc")   == 0 ) 
-        {
+    while (status == 1) {
+        const char * tag = (const char *) xmlTextReaderConstName(reader);
+
+        if (strcmp(tag, "port") == 0 ) {
+            cpPortNode(reader);
+        }
+        else if (strcmp(tag, "#text")    == 0 ) { }
+        else if (strcmp(tag, "#comment") == 0 ) { }
+        else if (strcmp(tag, "coproc") == 0 ) {
             coproc[coproc_index]->ports = cp_port_loc_index;
             cluster[cluster_index]->coprocs++;
